## com.crystaldecisions.sdk.occa.report.data
Class ConnectionInfos

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector
                      com.crystaldecisions.sdk.occa.report.data.ConnectionInfos

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, IClone, java.util.List, java.util.RandomAccess, java.io.Serializable

public class ConnectionInfos
extends ReportSDKVector
implements IClone

This object returns connection information.

See Also:
  Serialized Form

Constructor Summary
`ConnectionInfos()`
`ConnectionInfos(ConnectionInfos src)`

Method Summary
`void` | `add(int index, java.lang.Object element)` Inserts the specified element at the specified position in this collection.
`boolean` | `add(java.lang.Object o)` Appends the specified element to the end of this collection.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`IConnectionInfo` | `getConnectionInfo(int index)` Returns an index value for the connection from `IConnectionInfo`.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(XMLWriter writer, java.lang.String sTag, XMLSerializationContext ctxt)` For internal use only.
`void` | `save(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.

Methods inherited from class com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector
`addElement, clone, copyTo, elementAt, findIndexOf, hasContent, insertElementAt, removeAllElements`

Methods inherited from class java.util.ArrayList
`addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.crystaldecisions.sdk.occa.report.lib.IClone
`clone, copyTo, hasContent`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### ConnectionInfos

    public ConnectionInfos(ConnectionInfos src)

### ConnectionInfos

    public ConnectionInfos()

Method Detail

### getConnectionInfo

    public IConnectionInfo getConnectionInfo(int index)

  Returns an index value for the connection from `IConnectionInfo`.

  Parameters:
    `index` - The index value for the `IConnectionInfo` as an `int`.
  Returns:
    An IConnectionInfo object.

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  For internal use only.

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  For internal use only.

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  For internal use only.

### save

    public void save(XMLWriter writer,
                     java.lang.String sTag,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### save

    public void save(XMLWriter writer,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(XMLWriter writer,
                             XMLSerializationContext ctxt)
                      throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  For internal use only.

### add

    public boolean add(java.lang.Object o)

  Appends the specified element to the end of this collection.

  Specified by:
    `add` in interface `java.util.List`
  Parameters:
    `o` - element to be added into the collection.
  Returns:
    `true` if this collection changed as a result of the call.
  Throws:
    `java.lang.ClassCastException` - class of the specified element prevents it from being added to this collection.
    `java.lang.NullPointerException` - if the specified element is null and this collection does not support null elements.

### add

    public void add(int index,
                    java.lang.Object element)

  Inserts the specified element at the specified position in this collection. Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

  Specified by:
    `add` in interface `java.util.List`
  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is out of range `(index < 0 || index > size())`.
    `java.lang.ClassCastException` - class of the specified element prevents it from being added to this collection.
    `java.lang.NullPointerException` - if the specified element is null and this collection does not support null elements.